Subject: Re: [PATCH net-next 3/8] cadence: macb: Add page pool support handle multi-descriptor frame rx

From: Paolo Valerio <[email-masked]>
Date: Mon, 19 Jan 2026 19:58:06 +0100

On 16 Jan 2026 at 06:16:16 PM, Andrew Lunn <[email-masked]> wrote:

> On Thu, Jan 15, 2026 at 11:25:26PM +0100, Paolo Valerio wrote:
>> Use the page pool allocator for the data buffers and enable skb recycling
>> support, instead of relying on netdev_alloc_skb allocating the entire skb
>> during the refill.
>
> Do you have any benchmark numbers for this change? Often swapping to
> page pool improves the performance of the driver, and i use it as a
> selling point for doing the conversion, independent of XDP.
>

Good point. I'll collect some numbers and add them here.

> Thanks
> 	Andrew